# synfig::RWLock::WriterLock Class Reference

`#include <mutex.h>`

List of all members.

## Public Member Functions

| WriterLock (RWLock &x)
| ~WriterLock ()

## Constructor & Destructor Documentation

synfig::RWLock::WriterLock::WriterLock | ( | RWLock & | x | ) | `[inline]`

References synfig::RWLock::writer_lock().

synfig::RWLock::WriterLock::~WriterLock | ( |  | ) | `[inline]`

References synfig::RWLock::writer_unlock().

The documentation for this class was generated from the following file:

- mutex.h